JS_COMPILER=/usr/local/tool/shrinksafe.php $(JS_COMPILER_ARGV)
SASS_COMPILER=/usr/bin/compass $(SASS_COMPILER_ARGV)
CONFIG_PARSER=GenerateModuleFiles.php

CONFIGFILE=config
STYLEFILE=style.css
SCSS_FILE=scss/style.scss
SASS_CACHE=scss/.sass-cache
COMPASS_CONFIG=scss/config.rb
JSFILES=javamanager.js


JSCompress: Makefile.js.inc CSSCompress $(JSFILES)

CSSCompress:
	if [ -f $(SCSS_FILE) ]; then $(SASS_COMPILER) compile scss; fi

clean_JSCompress: clean_CSSCompress
	if [ -n "$(JSFILES)" ]; then rm -f $(JSFILES); fi

clean_CSSCompress:
	if [ -f $(SCSS_FILE) ]; then rm -f $(STYLEFILE); fi
	if [ -d $(SASS_CACHE) ]; then rm -rf $(SASS_CACHE); fi

install_JSCompress: install_CSSCompress
	[ -d  $(INSTALLDIR) ] || install -d $(INSTALLDIR)
	if [ -f $(CONFIGFILE) ]; then cp $(CONFIGFILE) $(INSTALLDIR); fi
	if [ -n "$(JSFILES)" ]; then cp $(JSFILES) $(INSTALLDIR); fi
	if [ -f $(STYLEFILE) ]; then cp -f $(STYLEFILE) $(INSTALLDIR); fi

install_CSSCompress:
	# already install style.css install_JSCompress

Makefile.js.inc: config.debug config.define
	$(CONFIG_PARSER) $(shell pwd)
	@$(MAKE) $(MAKECMDGOALS); exit $$?

javamanager.js: js/Installer.js js/JavaManager.js js/InstallString.js
	$(JS_COMPILER) $@ $^

